<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Bootstrap project</title>
  <link rel="icon" type="image/png" href="img/favicon.png" />

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous" />

  <link rel="stylesheet" href="style.css" />
</head>

<body class="container w-100">
  <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark border-bottom border-white">
    <a class="navbar-brand p-3" href="#"><img src="img/logo.svg" width="30" height="30" class="d-inline-block align-top"
        alt="Scania Bootstrap logo" />
      Scania</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup"
      aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
      <div class="navbar-nav">
        <a class="nav-item nav-link active" href="#">Home <span class="sr-only">(current)</span></a>
        <a class="nav-item nav-link" href="#">Features</a>
        <a class="nav-item nav-link" href="#">Pricing</a>
        <a class="nav-item nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
      </div>
    </div>
  </nav>

  <header>
    <div id="hero" class="jumbotron jumbotron-light mb-0 text-center">
      <div class="container mt-4 p-5">
        <h1 class="display-4 pt-5 mt-5">Hello dudes and dudettes</h1>
        <p class="lead">
          Some cool text to make you feel cool and like you are in the right
          (cool) place.
        </p>
        <p>
          Some more text that you can read if you have the patience.
        </p>
        <a class="btn btn-dark btn-lg p-3 my-5" href="#" role="button">Surrender your soul here</a>
      </div>
    </div>
  </header>

  <main>
    <section class="cards py-5">
      <div class="container text-center">
        <div class="row">
          <div class="col">
            <h1 class="mb-5">Just trying things - what is going to happen with this long headline when I go to mobile?
            </h1>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="card bg-dark text-white mb-xs-5 mb-md-0">
              <div class="card-body">
                <h5 class="card-title">Special title treatment</h5>
                <p class="card-text">With supporting text below as a natural lead-in to additional content.</p>
                <a href="#" class="btn btn-primary">Go somewhere</a>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-6">
            <div class="card bg-dark text-white">
              <div class="card-body">
                <h5 class="card-title">Special title treatment</h5>
                <p class="card-text">With supporting text below as a natural lead-in to additional content.</p>
                <a href="#" class="btn btn-primary">Go somewhere</a>
              </div>
            </div>
          </div>
        </div>
      </div>
      </div>
    </section>

    <section id="scania-modal-demo" class="bg-dark p-5 text-white">
      <div class="container text-center">
        <h1>Modal thing</h1>
        <p class="mb-5">Lorem ipsum dolor sit amet consectetur adipisicing elit. Temporibus ullam perspiciatis,
          distinctio molestias, deleniti amet velit, officia quos pariatur quas consequatur ab. Modi, dolore numquam
          quia sapiente eveniet qui maxime.</p>
        <button class="btn btn-primary btn-lg" data-toggle="modal" data-target="#scania-modal">Show me the
          stuff!</button>
      </div>
    </section>

    <section id="carousel" class="p-lg-5 p-md-3 p-sm-2">
      <div class="container h-2">
        <div id="carouselExampleControls" class="carousel slide w-50 m-auto" data-ride="carousel">
          <div class="carousel-inner rounded-lg">
            <div class="carousel-item active">
              <img src="img/boom.jpg" class="d-block w-100" alt="First image">
            </div>
            <div class="carousel-item">
              <img src="/img/finland-truck.jpg" class="d-block w-100" alt="Second image">
            </div>
            <div class="carousel-item">
              <img src="img/protected-cab.jpg" class="d-block w-100" alt="Fourth image">
              <!-- You are probably wondering now "What happened to the third image...?" -->
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">This way</span>

          </a>
          <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">That way</span>
          </a>
        </div>
      </div>
    </section>

    <div id="questionnaire" class="container-fluid p-5 m-sm-1 m-md-5 bg-dark text-white">
      <form>
        <div class="form-group">
          <label for="email">Write your e-mail address here (in the box, duh):</label>
          <input type="email" class="form-control form-control-lg" id="email">
          <small id="emailHelp" class="form-text text-muted">We'll share your email with everyone else.</small>
        </div>
        <div class="form-group">
          <label for="password">Secret password below (Write it! Come on, do it!):</label>
          <input type="password" class="form-control form-control-lg" id="password">
        </div>
        <div class="form-group form-check">
          <input type="checkbox" class="form-check-input form-check-input-lg" id="checkbox">
          <label class="form-check-label" for="checkbox">Put a check inside me baby.</label>
        </div>
        <div class="form-group">
          <label for="range">On a scale from 1 to 10, left to right, how badass is this prototype?</label>
          <input type="range" class="custom-range" min="0" max="10" id="range">
        </div>
        <button type="submit" class="btn btn-light btn-lg">Submit</button>
      </form>
    </div>

    <div id="button-group" class="container-fluid p-5 d-flex justify-content-center">
      <div class="btn-group shadow-lg" role="group">
        <button type="button" class="btn btn-dark">Does nothing</button>
        <button type="button" class="btn btn-dark">Also does nothing</button>
        <button type="button" class="btn btn-dark">Does something... *NOT*</button>
      </div>
    </div>

    <div id="testing-tooltips-and-badge" class="container-fluid p-5 mb-5 text-center">
      <h1>
        This is a Bootstrap Project
        <span class="badge badge-dark" data-toggle="tooltip" data-placement="bottom"
          title="Maybe not supercool, but at least it's a little cool...">Cool</span>
      </h1>
    </div>

    <div id="alert-test" class="container-fluid d-flex justify-content-center">
      <div class="alert alert-success alert-dismissible fade show" role="alert">
        <strong>Mamma mia!</strong> Here I go again. My, my - how can I resist you?
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    </div>

    <div id="collapse-text-1" class="container-fluid d-flex justify-content-center flex-column p-5">
      <div class="container d-flex justify-content-center p-5">
        <a class="btn btn-info p-2 text-center" data-toggle="collapse" href="#show-collapsed" role="button">
          Click here for more info.
        </a>
      </div>

      <div class="container p-5">
        <div class="collapse" id="show-collapsed">
          <div class="card card-body bg-dark text-white text-center p-5">
            Just kidding, there is no more info here. Click again for less info.
          </div>
        </div>
      </div>

    </div>

    <footer>
      <div class="container-fluid d-flex justify-content-center p-5 bg-info text-white w-100">
        <p>&copy; Copyrighted forever - if yous steal this you must literally be clinically insane and should be locked
          up anyway. </p>
      </div>
    </footer>

    <!-- Modal code -->
    <div class="modal fade" id="scania-modal" role="dialog">
      <div class="modal-dialog">
        <div class="modal-content">
          <header class="modal-header">
            <h5 class="modal-title">Scania's best modal</h5>
            <button type="button" class="close" data-dismiss="modal">
              <span aria-hidden="true">&times;</span>
            </button>
          </header>
          <main class="modal-body">
            <p>You opened a modal. Congratulations, you have skills. </p>
          </main>
          <footer class="modal-footer">
            Go away now!
          </footer>
        </div>
      </div>
    </div>
    <!-- End of modal code -->

  </main>

  <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
    integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>

</body>

</html>